Bug 735126 - JON 3.0 Beta install issue ... database-related
Summary: JON 3.0 Beta install issue ... database-related
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Database
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ---
: ---
Assignee: Simeon Pinder
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 15:08 UTC by Mike Foley
Modified: 2012-02-07 19:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Mike Foley 2011-09-01 15:08:25 UTC
Description of problem:  JON 3.0 Beta install issue ... database-related


Version-Release number of selected component (if applicable):
JON 3.0 Beta

How reproducible:
100%.  Me and spinder

Steps to Reproduce:
1.  basic install, overwrite existing database


  
Actual results:
error reported below

Expected results:
clean install

Additional info:
Failed to save properties and fully deploy - JON Server will not function properly Cause: java.sql.SQLException:Failed to create rows in table [RHQ_REPO] [ErrorCode=[1400]; SQLState=[23000]; Message=[ORA-01400: cannot insert NULL into ("RHQ"."RHQ_REPO"."IS_PRIVATE") ]; Type=[java.sql.SQLException]][SQLException=Failed to create rows in table [RHQ_REPO] [ErrorCode=[1400]; SQLState=[23000]; Message=[ORA-01400: cannot insert NULL into ("RHQ"."RHQ_REPO"."IS_PRIVATE") ]; Type=[java.sql.SQLException]]] -> java.sql.SQLException:ORA-01400: cannot insert NULL into ("RHQ"."RHQ_REPO"."IS_PRIVATE") [SQLException=ORA-01400: cannot insert NULL into ("RHQ"."RHQ_REPO"."IS_PRIVATE") ]

Comment 1 Mike Foley 2011-09-01 15:08:49 UTC
mfoley retesting now with clean db...

Comment 2 Mike Foley 2011-09-01 16:02:30 UTC
additional information:
1) this is oracle
2) this does NOT happen with a clean db.

reducing severity as i don't believe upgrade to JON 3 Beta from RHQ 4.1.1 is supported upgrade path.

Comment 3 Simeon Pinder 2011-09-01 17:32:27 UTC
This should be fixed by svn rev: 11201 and available in org.jboss.on-jboss-on-parent-3.0.0.BETA1-2 Tag and greater.

missing value not set for is_private data.

Comment 4 Mike Foley 2011-09-02 15:03:23 UTC
verified by Pune in JON 3 Beta qualification and in this Jenkins job

http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/job/overnight-rhq-4.0/395/

Comment 5 Mike Foley 2012-02-07 19:31:09 UTC
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Comment 6 Mike Foley 2012-02-07 19:31:09 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.